#!/bin/sh

# script to run update, setting properties, for all projects

source properties.shsource
source parseSiteArg.shsource

if [ "${2}" == "-clean" ] ; then

	 echo "   Removing ${updateSite}/features/"
	 rm -fr ${updateSite}/features/
	
	 echo "   Removing ${updateSite}/plugins/"
	 rm -fr ${updateSite}/plugins/
	
	 echo "   Removing index and site xml files"
	 rm -fr ${updateSite}/*
	
	 echo "   Updating index and web site files, but not site xml files (yet)"
	    rsync -p ${HOME}/${updateToolsDir}/WebContent/${mainIndexFileName} ${updateSite}/index.html
      rsync -p ${HOME}/${updateToolsDir}/WebContent/*.jpg ${updateSite}
fi


ant  -f ${fileListFile} -Declipse.home=${eclipseLocation} -Dupdate.site=${updateSite}

# merge authored site.xml files with the most recent auto generated one
./runUpdateSiteXmlFiles.sh ${mainSiteFileName} ${updateSite}

# do create pack's later ... takes a long time
# ant  -f createPack200s.xml     -Declipse.home=${eclipseLocation} -Dupdate.site=${updateSite}

# run create Digests now, it's a good check if all is well
ant  -f createDigests.xml      -Declipse.home=${eclipseLocation} -Dupdate.site=${updateSite}
